Package icyllis.arc3d.engine

# Class SharedResourceCache.Stats

java.lang.Object
icyllis.arc3d.engine.SharedResourceCache.Stats

Enclosing class:
  `SharedResourceCache`

public static class SharedResourceCache.Stats extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stats()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `incNumCompilationFailures()`
  `void`
  `incNumCompilationSuccesses()`
  `void`
  `incNumInlineCompilationFailures()`
  `void`
  `incNumPartialCompilationSuccesses()`
  `void`
  `incNumPreCompilationFailures()`
  `void`
  `incShaderCompilations()`
  `int`
  `numCompilationFailures()`
  `int`
  `numCompilationSuccesses()`
  `int`
  `numInlineCompilationFailures()`
  `int`
  `numPartialCompilationSuccesses()`
  `int`
  `numPreCompilationFailures()`
  `int`
  `shaderCompilations()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Stats

    public Stats()

- ## Method Details

  - ### shaderCompilations

    public int shaderCompilations()

  - ### incShaderCompilations

    public void incShaderCompilations()

  - ### numInlineCompilationFailures

    public int numInlineCompilationFailures()

  - ### incNumInlineCompilationFailures

    public void incNumInlineCompilationFailures()

  - ### numPreCompilationFailures

    public int numPreCompilationFailures()

  - ### incNumPreCompilationFailures

    public void incNumPreCompilationFailures()

  - ### numCompilationFailures

    public int numCompilationFailures()

  - ### incNumCompilationFailures

    public void incNumCompilationFailures()

  - ### numPartialCompilationSuccesses

    public int numPartialCompilationSuccesses()

  - ### incNumPartialCompilationSuccesses

    public void incNumPartialCompilationSuccesses()

  - ### numCompilationSuccesses

    public int numCompilationSuccesses()

  - ### incNumCompilationSuccesses

    public void incNumCompilationSuccesses()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`